﻿@model List<Entities.Transaction>
@using Online_Wallet.Resources

@if (!User.Identity.IsAuthenticated)
{
    <form asp-action="AddMountToAccount" asp-controller="Account" method="post">
        <div class="form-group">
            <label>@Resource.AccountNumber :</label>
            <input type="text" id="toUser" name="toUser" class="form-control" />
        </div>
        <div class="form-group">
            <label>@Resource.Mount :</label>
            <input type="text" id="mount" name="mount" class="form-control" />
        </div>
        <button type="submit" class="btn btn-primary">@Resource.Add</button>
    </form>
}

@if (Model != null)
{
    @if (Model.Count != 0)
    {
        <table class="table" width="500">
            <thead>
                <tr>
                    <th>
                        <p align="center">@Resource.FromUser</p>
                    </th>
                    <th>
                        <p align="center">@Resource.ToUser</p>
                    </th>
                    <th>
                        <p align="center">@Resource.Mount</p>
                    </th>
                    <th>
                        <p align="center">@Resource.Date</p>
                    </th>
                    <th>
                        <p align="center">@Resource.Desc</p>
                    </th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in Model)
                {
                    <tr>
                        <td align="center">
                            @Html.DisplayFor(modelItem => item.FromUser)
                        </td>
                        <td align="center">
                            @Html.DisplayFor(modelItem => item.ToUser)
                        </td>
                        <td align="center">
                            @Html.DisplayFor(modelItem => item.Amount)
                        </td>
                        <td align="center">
                            @Html.DisplayFor(modelItem => item.TransactonDate)
                        </td>
                        <td align="center">
                            @Html.DisplayFor(modelItem => item.Description)
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    }

}


